:root { --bg: #070616; }

html, body {
  height: 100%;
  margin: 0;
  padding: 0;
  background: var(--bg);

  overflow: hidden;      
  overscroll-behavior: none;
  -webkit-text-size-adjust: 100%;
}


flt-glass-pane {
  position: fixed !important;
  inset: 0 !important;
  width: 100vw !important;
  height: 100vh !important; 
  overflow: hidden !important;
}

* { -webkit-tap-highlight-color: transparent; }

/* ========= LOADER ========= */
#loading {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--bg);
  z-index: 9999;
  transition: opacity 0.2s ease;
}

#loading.fade-out { opacity: 0; }

.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  border: 4px solid rgba(255,255,255,.2);
  border-top-color: #6FA8FF;
  animation: spin 1s linear infinite;
}

@keyframes spin { to { transform: rotate(360deg); } }
